package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Tdh;
import com.brilliance.isc.vo.manager.TdhVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public interface TdhMapper {
    /**
     * 查询指定行数据
     *
     * @param tdh 分页对象
     * @return 对象列表
     */
    List<Tdh> queryAllByLimit(Tdh tdh);

    List<Tdh> queryDat(TdhVo tdhVo);

    List<Tdh> queryByDat(Tdh tdh);

    /**
     * 通过币种和日期查询单条数据
     *
     * @param tdh 实例对象
     * @return 实例对象
     */
    Tdh queryByCurAndDat(Tdh tdh);

    /**
     * 统计总行数
     *
     * @param tdh 查询条件
     * @return 总行数
     */
    long count(Tdh tdh);

    /**
     * 检验
     */
    long check(Tdh tdh);

    /**
     * 新增数据
     *
     * @param tdh 实例对象
     * @return 影响行数
     */
    int insert(Tdh tdh);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Swm> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tdh> entities);

    /**
     * 修改数据
     *
     * @param tdh 实例对象
     * @return 影响行数
     */
    int update(Tdh tdh);

    int deleteById(Tdh tdh);

    List<TdhVo> listTdh(Tdh tdh);

    String getCurName(Tdh tdh);

}
